IBM Support

Java 1.7 Release 40 and greater will throw security warnings with Direct Print

Troubleshooting


Problem

Starting with Java 1.7 release 40 and later, users can no longer allow the security alert on unsigned jar files to be overridden. The means that the users will need to make extra clicks to Direct Print reports.

Symptom

The users get a java security message on the jar files, especially during Direct Print.

Cause

Later versions of the Java Runtime Engine will not allow unsigned jar files to run without a security warning being displayed.

Resolving The Problem

There are 2 possible solutions.

1. Use older version of java. Either 1.6 or 1.7 pre release 40.

2. Request hotfix for APAR IV44907, this fix signs the APAR using a trusted certificate.

Note: Java 1.7 is only supported for
- Maximo 7.1.1.11 and newer
- Maximo 7.5.03 and newer.

If your version of Maximo is not supported for Java 1.7, a hot fix will not be available.

See line 45 on the Reporting & Archiving Tab of the Platform Configuration Matrix. The link below takes you to the DeveloperWorks page. You can download the matrix from there. (below)

Related Information

[{"Product":{"code":"SSLKT6","label":"IBM Maximo Asset Management"},"Business Unit":{"code":"BU059","label":"IBM Software w\/o TPS"},"Component":"Report Admin","Platform":[{"code":"PF025","label":"Platform Independent"}],"Version":"7.1.1;7.5","Edition":"Edition Independent","Line of Business":{"code":"LOB02","label":"AI Applications"}},{"Product":{"code":"SSLKT6","label":"IBM Maximo Asset Management"},"Business Unit":{"code":"BU059","label":"IBM Software w\/o TPS"},"Component":"Report Admin","Platform":[{"code":"PF025","label":"Platform Independent"}],"Version":"7.1.1;7.5","Edition":"Edition Independent","Line of Business":{"code":"LOB02","label":"AI Applications"}}]

Document Information

Modified date:
17 June 2018

UID

swg21653544